Problems Updating Pidgin

Anything that pertains to Portage

Moderator: Moderators

Problems Updating Pidgin

Postby waterboy4800 » Mon Sep 10, 2007 22:46

Hello there, trying to update Pidgin to the latest version, Tried emerge --update pidgin and getting an error at:

checking for a Python interpreter with version >= 2.4... python
checking for python... /usr/bin/python
checking for python version... 2.5
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.5/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.5/site-packages
checking for python module gtk... no
configure: error: Could not find Python module gtk

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/net-dns/avahi-0.6.21/work/avahi-0.6.21/config.log

!!! ERROR: net-dns/avahi-0.6.21 failed.
Call stack:
ebuild.sh, line 1621: Called dyn_compile
ebuild.sh, line 973: Called qa_call 'src_compile'
ebuild.sh, line 44: Called src_compile
avahi-0.6.21.ebuild, line 124: Called econf '--localstatedir=/var' '--with-distro=gentoo' '--disable-python-dbus' '--disable-pygtk' '--disable-xmltoman' '--disable-monodoc' '--enable-glib' '--disable-tests' '--disable-autoipd' '--enable-compat-libdns_sd' '--enable-compat-howl' '--disable-doxygen-doc' '--enable-mono' '--enable-dbus' '--enable-python' '--enable-gtk' '--enable-qt3' '--enable-qt4' '--enable-gdbm' '--enable-python-dbus' '--enable-pygtk'
ebuild.sh, line 578: Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/net-dns/avahi-0.6.21/temp/build.log'.


Any help?

Read around a little and emerged and updated pygtk. pygobject and pycairo and there all up to date
waterboy4800
Baby Hen
 
Posts: 11
Joined: Sun Mar 04, 2007 22:24

Re: Problems Updating Pidgin

Postby wolfden » Mon Sep 10, 2007 23:49

did you add in the missing use flags in your /etc/make.conf

opengl gtk qt4 qt3 qt3support sdl gif png

if you also updated your python to 2.5 you need to do python-updater
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Problems Updating Pidgin

Postby waterboy4800 » Tue Sep 11, 2007 1:54

Hey there, thanks for the reply, i updated python to 2.5 and ran the python-updater and i added those to the use flags in make.conf and got the same thing
waterboy4800
Baby Hen
 
Posts: 11
Joined: Sun Mar 04, 2007 22:24


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron